#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct WindowNegative {
    #[serde(rename = "window")]
    window: conjure_object::SafeLong,
}
impl WindowNegative {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(window: conjure_object::SafeLong) -> Self {
        Self::builder().window(window).build()
    }
    #[inline]
    pub fn window(&self) -> conjure_object::SafeLong {
        self.window
    }
}
impl conjure_error::ErrorType for WindowNegative {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "PersistentCompute:WindowNegative"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["window"]
    }
}
